searchData={"items":[{"type":"module","title":"INA219","doc":"INA219 Driver using Wafer.","ref":"INA219.html"},{"type":"function","title":"INA219.acquire/1","doc":"Acquire a connection to the INA219 device using the passed in I2C connection.","ref":"INA219.html#acquire/1"},{"type":"function","title":"Options: - INA219.acquire/1","doc":"- `conn` an I2C connection, probably from `ElixirALE.I2C` or `Circuits.I2C`.\n- `current_divisor` see `INA219.Commands` for more information.\n- `power_divisor` see `INA219.Commands` for more information.","ref":"INA219.html#acquire/1-options"},{"type":"function","title":"INA219.bus_adc_resolution_and_averaging/1","doc":"Retrieve the bus ADC resolution and averaging.\n\nReturns the number of samples and the resolution as a two element tuple.\neg `{1, 9}` refers to 9-bit ADC resolution and 1-sample averaging.","ref":"INA219.html#bus_adc_resolution_and_averaging/1"},{"type":"function","title":"INA219.bus_adc_resolution_and_averaging/2","doc":"Set the bus ADC resolution and averaging.\n\nExpects a tuple of the form `{samples, bits}`. Be aware that changing this value affects\nthe amount of time it takes to compute values. Refer to the datasheet for more information.\n\nValid values are:\n\n* `{  1,  9}` - 1 sample averaging and 9 bit ADC resolution.\n* `{  1, 10}` - 1 sample averaging and 10 bit ADC resolution.\n* `{  1, 11}` - 1 sample averaging and 11 bit ADC resolution.\n* `{  1, 12}` - 1 sample averaging and 12 bit ADC resolution.\n* `{  2, 12}` - 2 sample averaging and 12 bit ADC resolution.\n* `{  4, 12}` - 4 sample averaging and 12 bit ADC resolution.\n* `{  8, 12}` - 8 sample averaging and 12 bit ADC resolution.\n* `{ 16, 12}` - 16 sample averaging and 12 bit ADC resolution.\n* `{ 32, 12}` - 32 sample averaging and 12 bit ADC resolition.\n* `{ 64, 12}` - 64 sample averaging and 12 bit ADC resolution.\n* `{128, 12}` - 128 sample averaging and 12 bit ADB resolution.","ref":"INA219.html#bus_adc_resolution_and_averaging/2"},{"type":"function","title":"INA219.bus_voltage/1","doc":"Returns the bus voltage in V.","ref":"INA219.html#bus_voltage/1"},{"type":"function","title":"INA219.bus_voltage_range/1","doc":"Retrieve the configured bus voltage range.","ref":"INA219.html#bus_voltage_range/1"},{"type":"function","title":"INA219.bus_voltage_range/2","doc":"Set the configured bus voltage range to either 16 or 32V.","ref":"INA219.html#bus_voltage_range/2"},{"type":"function","title":"INA219.calibrate/1","doc":"Get the calibration value.","ref":"INA219.html#calibrate/1"},{"type":"function","title":"INA219.calibrate/2","doc":"Set the calibration value.","ref":"INA219.html#calibrate/2"},{"type":"function","title":"INA219.calibrate_16V_400mA/1","doc":"This is a convenient helper function to set the configuration to the right values\nfor 16V input and 400mA current range at the highest resolution (0.1mA).\nThis only works for devices with a 0.1Ω shunt resistor (ie Adafruit's breakout).\n\nMake sure that you configure your device with a `current_divisor` of `20` and a\n`power_divisor` of `1`.","ref":"INA219.html#calibrate_16V_400mA/1"},{"type":"function","title":"INA219.calibrate_32V_1A/1","doc":"This is a convenient helper function to set the configuration to the right values\nfor 32V input voltage range and 1A current range at the cost of accuracy.\nThis only works for devices with a 0.1Ω shunt resistor (ie Adafruit's breakout).\n\nMake sure that you configure your device with a `current_divisor` of `25` and a\n`power_divisor` of `1`.","ref":"INA219.html#calibrate_32V_1A/1"},{"type":"function","title":"INA219.calibrate_32V_2A/1","doc":"This is a convenient helper function to set the configuration to the right values\nfor 32V input voltage range and 2A current range at the cost of accuracy.\nThis only works for devices with a 0.1Ω shunt resistor (ie Adafruit's breakout).\n\nMake sure that you configure your device with a `current_divisor` of `10` and a\n`power_divisor` of `2`.","ref":"INA219.html#calibrate_32V_2A/1"},{"type":"function","title":"INA219.conversion_ready?/1","doc":"Are new samples ready since the last time you read them?\nCalling this function will clear the value until next time new samples are ready.","ref":"INA219.html#conversion_ready?/1"},{"type":"function","title":"INA219.current/1","doc":"Returns the current in mA.","ref":"INA219.html#current/1"},{"type":"function","title":"INA219.math_overflow?/1","doc":"Returns `true` when power or current calculations are out of range.\nThis indicates that current and power data may be meaningless.","ref":"INA219.html#math_overflow?/1"},{"type":"function","title":"INA219.mode/1","doc":"Retrieve the current operating mode of the device.","ref":"INA219.html#mode/1"},{"type":"function","title":"INA219.mode/2","doc":"Set the current operating mode for the device.\n\nValid values are:\n- `:power_down`\n- `:shunt_voltage_triggered`\n- `:bus_voltage_triggered`\n- `:adc_off`\n- `:shunt_voltage_continuous`\n- `:bus_voltage_continuous`\n- `:shunt_and_bus_voltage_continuous`","ref":"INA219.html#mode/2"},{"type":"function","title":"INA219.power/1","doc":"Returns the power in mW","ref":"INA219.html#power/1"},{"type":"function","title":"INA219.reset/1","doc":"Power-on-reset the device,","ref":"INA219.html#reset/1"},{"type":"function","title":"INA219.shunt_adc_resolution_and_averaging/1","doc":"Retrieve the shunt ADC resolution.\n\nReturns the number of samples and the resolution as a two element tuple.\neg `{1, 9}` refers to 9-bit ADC resolution and 1-sample averaging.","ref":"INA219.html#shunt_adc_resolution_and_averaging/1"},{"type":"function","title":"INA219.shunt_adc_resolution_and_averaging/2","doc":"Set the shunt ADC resolution and averaging.\n\nExpects a tuple of the form `{samples, bits}`. Be aware that changing this value affects\nthe amount of time it takes to compute values. Refer to the datasheet for more information.\n\nValid values are:\n\n* `{  1,  9}` - 1 sample averaging and 9 bit ADC resolution.\n* `{  1, 10}` - 1 sample averaging and 10 bit ADC resolution.\n* `{  1, 11}` - 1 sample averaging and 11 bit ADC resolution.\n* `{  1, 12}` - 1 sample averaging and 12 bit ADC resolution.\n* `{  2, 12}` - 2 sample averaging and 12 bit ADC resolution.\n* `{  4, 12}` - 4 sample averaging and 12 bit ADC resolution.\n* `{  8, 12}` - 8 sample averaging and 12 bit ADC resolution.\n* `{ 16, 12}` - 16 sample averaging and 12 bit ADC resolution.\n* `{ 32, 12}` - 32 sample averaging and 12 bit ADC resolition.\n* `{ 64, 12}` - 64 sample averaging and 12 bit ADC resolution.\n* `{128, 12}` - 128 sample averaging and 12 bit ADB resolution.","ref":"INA219.html#shunt_adc_resolution_and_averaging/2"},{"type":"function","title":"INA219.shunt_voltage/1","doc":"Returns the shunt voltage in mV.","ref":"INA219.html#shunt_voltage/1"},{"type":"function","title":"INA219.shunt_voltage_pga/1","doc":"Retrieve the configured shunt voltage PGA.\n\nReturns the `gain` value.\n\nValid values are:\n  - `1` - gain  1, range  +40mV.\n  - `2` - gain +2, range  +80mV.\n  - `4` - gain +4, range +160mV.\n  - `8` - gain +8, range +320mV.","ref":"INA219.html#shunt_voltage_pga/1"},{"type":"function","title":"INA219.shunt_voltage_pga/2","doc":"Set the configured shunt voltage PGA to a configured value.\n\nValid values are:\n  - `1` - gain  1, range  +40mV.\n  - `2` - gain +2, range  +80mV.\n  - `4` - gain +4, range +160mV.\n  - `8` - gain +8, range +320mV.","ref":"INA219.html#shunt_voltage_pga/2"},{"type":"type","title":"INA219.acquire_option/0","doc":"","ref":"INA219.html#t:acquire_option/0"},{"type":"type","title":"INA219.acquire_options/0","doc":"","ref":"INA219.html#t:acquire_options/0"},{"type":"type","title":"INA219.milliamps/0","doc":"","ref":"INA219.html#t:milliamps/0"},{"type":"type","title":"INA219.millivolts/0","doc":"","ref":"INA219.html#t:millivolts/0"},{"type":"type","title":"INA219.milliwatts/0","doc":"","ref":"INA219.html#t:milliwatts/0"},{"type":"type","title":"INA219.operating_mode/0","doc":"","ref":"INA219.html#t:operating_mode/0"},{"type":"type","title":"INA219.sample_averaging/0","doc":"","ref":"INA219.html#t:sample_averaging/0"},{"type":"type","title":"INA219.sample_resolution/0","doc":"","ref":"INA219.html#t:sample_resolution/0"},{"type":"type","title":"INA219.shunt_voltage_pga/0","doc":"","ref":"INA219.html#t:shunt_voltage_pga/0"},{"type":"type","title":"INA219.t/0","doc":"","ref":"INA219.html#t:t/0"},{"type":"type","title":"INA219.volts/0","doc":"","ref":"INA219.html#t:volts/0"},{"type":"module","title":"INA219.Registers","doc":"The INA219 uses a bank of registers for holding configuration settings,\nmeasurement results, maximum/minimum limits, and status information.","ref":"INA219.Registers.html"},{"type":"module","title":"Registers - INA219.Registers","doc":"#","ref":"INA219.Registers.html#module-registers"},{"type":"module","title":"Configuration register - INA219.Registers","doc":"All-register reset, settings for bus voltage range, PGA Gain, ADC\nresolution/averaging.  Read write.\n\n#","ref":"INA219.Registers.html#module-configuration-register"},{"type":"module","title":"Shunt Voltage register - INA219.Registers","doc":"Shunt voltage measurement data. Read only.\n\n#","ref":"INA219.Registers.html#module-shunt-voltage-register"},{"type":"module","title":"Bus Voltage register - INA219.Registers","doc":"Bus voltage measurement data. Read-only,\n\n#","ref":"INA219.Registers.html#module-bus-voltage-register"},{"type":"module","title":"Power register - INA219.Registers","doc":"Power measurement data. Read only.\n\n#","ref":"INA219.Registers.html#module-power-register"},{"type":"module","title":"Current register - INA219.Registers","doc":"Contains the value of the current flowing through the shunt resistor.  Read only.\n\n#","ref":"INA219.Registers.html#module-current-register"},{"type":"module","title":"Calibration register - INA219.Registers","doc":"Sets full-scale range and LSB of current and power measurements. Overall\nsystem calibration.  Read write.","ref":"INA219.Registers.html#module-calibration-register"},{"type":"function","title":"INA219.Registers.read_bus_voltage/1","doc":"Read the contents of the `bus_voltage` register.","ref":"INA219.Registers.html#read_bus_voltage/1"},{"type":"function","title":"Example - INA219.Registers.read_bus_voltage/1","doc":"iex> read_bus_voltage(conn)\n    {:ok,  >}","ref":"INA219.Registers.html#read_bus_voltage/1-example"},{"type":"function","title":"INA219.Registers.read_calibration/1","doc":"Read the contents of the `calibration` register.","ref":"INA219.Registers.html#read_calibration/1"},{"type":"function","title":"Example - INA219.Registers.read_calibration/1","doc":"iex> read_calibration(conn)\n    {:ok,  >}","ref":"INA219.Registers.html#read_calibration/1-example"},{"type":"function","title":"INA219.Registers.read_configuration/1","doc":"Read the contents of the `configuration` register.","ref":"INA219.Registers.html#read_configuration/1"},{"type":"function","title":"Example - INA219.Registers.read_configuration/1","doc":"iex> read_configuration(conn)\n    {:ok,  >}","ref":"INA219.Registers.html#read_configuration/1-example"},{"type":"function","title":"INA219.Registers.read_current/1","doc":"Read the contents of the `current` register.","ref":"INA219.Registers.html#read_current/1"},{"type":"function","title":"Example - INA219.Registers.read_current/1","doc":"iex> read_current(conn)\n    {:ok,  >}","ref":"INA219.Registers.html#read_current/1-example"},{"type":"function","title":"INA219.Registers.read_power/1","doc":"Read the contents of the `power` register.","ref":"INA219.Registers.html#read_power/1"},{"type":"function","title":"Example - INA219.Registers.read_power/1","doc":"iex> read_power(conn)\n    {:ok,  >}","ref":"INA219.Registers.html#read_power/1-example"},{"type":"function","title":"INA219.Registers.read_shunt_voltage/1","doc":"Read the contents of the `shunt_voltage` register.","ref":"INA219.Registers.html#read_shunt_voltage/1"},{"type":"function","title":"Example - INA219.Registers.read_shunt_voltage/1","doc":"iex> read_shunt_voltage(conn)\n    {:ok,  >}","ref":"INA219.Registers.html#read_shunt_voltage/1-example"},{"type":"function","title":"INA219.Registers.swap_calibration/2","doc":"Swap the contents of the `calibration` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"INA219.Registers.html#swap_calibration/2"},{"type":"function","title":"Example - INA219.Registers.swap_calibration/2","doc":"iex> swap_calibration(conn,  >)\n    {:ok,  >, _conn}","ref":"INA219.Registers.html#swap_calibration/2-example"},{"type":"function","title":"INA219.Registers.swap_configuration/2","doc":"Swap the contents of the `configuration` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"INA219.Registers.html#swap_configuration/2"},{"type":"function","title":"Example - INA219.Registers.swap_configuration/2","doc":"iex> swap_configuration(conn,  >)\n    {:ok,  >, _conn}","ref":"INA219.Registers.html#swap_configuration/2-example"},{"type":"function","title":"INA219.Registers.update_calibration/2","doc":"Update the contents of the `calibration` register using a\ntransformation function.","ref":"INA219.Registers.html#update_calibration/2"},{"type":"function","title":"Example - INA219.Registers.update_calibration/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_calibration(conn, transform)\n    {:ok, _conn}","ref":"INA219.Registers.html#update_calibration/2-example"},{"type":"function","title":"INA219.Registers.update_configuration/2","doc":"Update the contents of the `configuration` register using a\ntransformation function.","ref":"INA219.Registers.html#update_configuration/2"},{"type":"function","title":"Example - INA219.Registers.update_configuration/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_configuration(conn, transform)\n    {:ok, _conn}","ref":"INA219.Registers.html#update_configuration/2-example"},{"type":"function","title":"INA219.Registers.write_calibration/2","doc":"Write new contents to the `calibration` register.","ref":"INA219.Registers.html#write_calibration/2"},{"type":"function","title":"Example - INA219.Registers.write_calibration/2","doc":"iex> write_calibration(conn,  >)\n    {:ok, _conn}","ref":"INA219.Registers.html#write_calibration/2-example"},{"type":"function","title":"INA219.Registers.write_configuration/2","doc":"Write new contents to the `configuration` register.","ref":"INA219.Registers.html#write_configuration/2"},{"type":"function","title":"Example - INA219.Registers.write_configuration/2","doc":"iex> write_configuration(conn,  >)\n    {:ok, _conn}","ref":"INA219.Registers.html#write_configuration/2-example"}],"content_type":"text/markdown"}